CVSFS(1)

NAME
cvsfs - mount remotely located cvs module

SYNOPSIS
cvsfs [OPTION...] HOSTNAME CVSROOT MODULE

DESCRIPTION
CVS filesystem translator for the GNU Hurd, allowing to mount the remotely located CVS module MODULE right into your local filesystem. The version controlled files will look like ordinary (local) ones to you afterwards.

Supply the hostname of the CVS pserver as HOSTNAME, the root CVS directory (the one, where CVS' CVSROOT directory is located in) as CVSROOT.

-z, --gzip=LEVEL
    use gzip compression of specified level for file transfers. A compression level of 1 means be fast, 9 means best compression. Unlike cvs cvsfs tends to use gzip compression of level 3 by default. If you want to turn compression off, you need to request level 0.

-h, --homedir=PATH
    path of your home directory (the directory where cvsfs shall look for the .cvspass file, which is used to find out which password to use to authenticate)

-n, --nostats
    do not download revisions to aquire stats information. cvsfs has to download each whole file if it needs to tell the timestamp or set permissions of a particular revision. Therefore cvsfs needs to download quite a lot of data if you e.g. need a directory listing with true stats information. In case you are not in need of such, you can specify this option. Filesize will be reported as zero and timestamp as current - no downloading will happen unless you open the file for reading.

-p, --port=PORT
    port to connect to on given host (if not using standard port, for pserver 2401)

-r, --remote[=CLIENT]
    connect to CVS server using the remote shell client CLIENT. If CLIENT is omitted 'rsh' will be used. If you don't specify a --remote option at all, pserver protocol will be used. Make sure that the shell client you want to use logs in automatically since translators (and thus cvsfs translator) don't have a connected terminal. Therefore you will not be able to enter a password.

-u, --user=USERNAME
    username to supply to cvs host when logging in. 'anonymous' will be used if you don't specify one. If you want your login name to be used, you have to specify that using --user argument (unless you logged in as 'anonymous' though)

-?, --help
    Write out some help text

--usage
    Give a short usage message

-V, --version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

Please mind that cvsfs is currently very much in alpha alike state, therefore please do not expect a translator working perfectly right now.

AUTHOR
Written by Stefan Siegl

COPYRIGHT
Copyright © 2004, Stefan Siegl <stesie@brokenpipe.de>, Germany
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for cvsfs is maintained as a Texinfo manual. If the info and cvsfs programs are properly installed at your site, the command

    info cvsfs

should give you access to the complete manual.